# Hiawatha main configuration file
#
set INSTALL_DIR = CONFIG_DIR\..


# GENERAL SETTINGS
#
ConnectionsTotal = 150
ConnectionsPerIP = 10
SystemLogfile = INSTALL_DIR\logfiles\system.log
GarbageLogfile = INSTALL_DIR\logfiles\garbage.log
ExploitLogfile = INSTALL_DIR\logfiles\exploit.log
PIDfile = INSTALL_DIR\work\hiawatha.pid
WorkDirectory = INSTALL_DIR\work


# BINDING SETTINGS
# A binding is where a client can connect to.
#
Binding {
	Port = 80
#	Interface = 127.0.0.1
#	MaxKeepAlive = 30
#	TimeForRequest = 3,20
}
#
#Binding {
#	Port = 443
#	Interface = ::1
#	MaxKeepAlive = 30
#	TimeForRequest = 3,20
#	TLScertFile = INSTALL_DIR\config\hiawatha.pem
#}


# BANNING SETTINGS
# Deny service to clients who misbehave.
#
#BanOnGarbage = 300
#BanOnMaxPerIP = 60
#BanOnMaxReqSize = 300
#KickOnBan = yes
#RebanDuringBan = yes


# COMMON GATEWAY INTERFACE (CGI) SETTINGS
# These settings can be used to run CGI applications.
#
#CGIhandler = C:\Program Files\PHP8\php-cgi.exe:php
#CGIhandler = INSTALL_DIR\program\ssi-cgi.exe:shtml
#CGIextension = exe
#
#FastCGIserver {
#	FastCGIid = PHP8
#	ConnectTo = 127.0.0.1:2005
#	Extension = php
#}


# URL TOOLKIT
# This URL toolkit rule was made for the Banshee PHP framework, which
# can be downloaded from https://www.hiawatha-webserver.org/banshee
#
#UrlToolkit {
#	ToolkitID = banshee
#	RequestURI isfile Return
#	Match ^/(css|files|images|js)/ Return
#	Match ^/(favicon.ico|robots.txt|sitemap.xml)$ Return
#	Match .*\?(.*) Rewrite /index.php?$1
#	Match .* Rewrite /index.php
#}


# DEFAULT WEBSITE
# It is wise to use your IP address as the hostname of the default website
# and give it a blank webpage. By doing so, automated webscanners won't find
# your possible vulnerable website.
#
Hostname = 127.0.0.1
WebsiteRoot = INSTALL_DIR\default_site
StartFile = index.html
AccessLogfile = INSTALL_DIR\logfiles\access.log
ErrorLogfile = INSTALL_DIR\logfiles\error.log
